Skip to content
Why pay for a free tier that sleeps?Free always-on tier — never sleeps
Docs/REST API

REST API

Automate Runko from anywhere with a simple JSON API.

Every action in Runko is available over a REST API. Authenticate with a bearer token created in the dashboard.

Authentication

bash
curl https://api.runko.arovi.app/v1/services \
  -H "Authorization: Bearer $RUNKO_TOKEN"

Create a service

bash
curl -X POST https://api.runko.arovi.app/v1/services \
  -H "Authorization: Bearer $RUNKO_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "api",
    "type": "web",
    "repo": "https://github.com/acme/api",
    "branch": "main",
    "plan": "hobby"
  }'

Trigger a deploy

bash
curl -X POST https://api.runko.arovi.app/v1/services/api/deploys \
  -H "Authorization: Bearer $RUNKO_TOKEN"